Trigger sync(s)
Requires an API key with the environment:syncs:execute scope. Learn more about API key scopes.
Triggering one-off syncs
This is especially useful if you e.g. changed the metadata for the connection and now want to re-import data.
Use reset to clear the checkpoint and re-fetch all data, or reset with emptyCache to start completely fresh. See the checkpoints guide for details.
Triggers an additional, one-off execution of specified sync(s) (for a given connection or all applicable connections if no connection is specified).
bearerAuthAuthorizationBearer <token>An Environment API key from your Tenklo environment, or an Account API key for account-level endpoints.
application/json- body
provider_config_key*stringThe ID of the integration that you established within Tenklo.
connection_id?stringThe ID of the connection. If omitted, the syncs will be triggered for all relevant connections.
syncs*array<>|array<>opts?Options for triggering the sync.
Successfully triggered the sync
application/json- response
success*booleancurl -X POST 'https://api.tenklo.dev/sync/trigger' \ -H 'Content-Type: application/json' \ -d '{ "provider_config_key": "string", "syncs": [ "string" ]}'{ "success": true}